<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning (sticky)</title>
    <style>
        * {
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        h1 {
            z-index: 10;
            position: relative;
        }

        .container {
            background: lightseagreen;
            width: 500px;
            height: 200px;
            overflow-x: hidden;
            overflow-y: auto;
            position: relative;
            z-index: 5;
        }

        .container h1 {
            top: 0px;
            position: sticky;
            background: orange;
        }

        .another-div {
            background: dodgerblue;
            width: 100px;
            height: 100px;
            position: absolute;
            top: 10px;
            z-index: 6;
        }
    </style>
</head>

<body>
    <h1>Positioning Demo (sticky)</h1>
    <div class="container">
        <h1>Pealkiri 1</h1>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero impedit, beatae autem sit consequatur,
            voluptatem vitae atque recusandae nemo commodi rem repellendus accusamus sapiente. Distinctio assumenda
            labore dolores suscipit repudiandae.</p>
        <h1>Pealkiri 2</h1>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Vitae quas obcaecati labore qui ducimus eum.
            Consectetur ab iusto placeat ut tempore, voluptates sit ipsa corrupti voluptate sunt enim temporibus optio.
        </p>
        <h1>Pealkiri 3</h1>
        <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Saepe voluptatibus pariatur sequi accusantium
            totam. Tempore a, laborum dolorem eos et incidunt, aliquam, perspiciatis quis eveniet rerum nulla repellat
            soluta quas.</p>
        <h1>Pealkiri 4</h1>
        <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Saepe voluptatibus pariatur sequi accusantium
            totam. Tempore a, laborum dolorem eos et incidunt, aliquam, perspiciatis quis eveniet rerum nulla repellat
            soluta quas.</p>
        <h1>Pealkiri 5</h1>
        <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Saepe voluptatibus pariatur sequi accusantium
            totam. Tempore a, laborum dolorem eos et incidunt, aliquam, perspiciatis quis eveniet rerum nulla repellat
            soluta quas.</p>
    </div>
    <div class="another-div"></div>
</body>

</html>